Subject: [dmarc-ietf] From: rewriting, was Email standard revision

From: Alessandro Vesely <[email-masked]>
Date: Sat, 30 Nov 2019 13:40:46 +0100

Let me quote this from the ietf-smtp mailing list:

On Sat 30/Nov/2019 00:12:53 +0100 John C Klensin wrote:
> --On Friday, 29 November, 2019 11:16 -0600 Pete Resnick wrote:
> [...] 
>> Even the "From: rewriting" issue is
>> a gatewaying issue, not a message format issue per se.
> 
> That is less clear.  It fits into the gray area that has existed
> for years about just exactly what a mailing list exploder /
> redistribution system really is.  We've traditionally threaded
> that needle by saying that, if the message is simply
> redistributed, without messing with content (or headers other
> than trace ones), then it is an SMTP matter, and that is what
> 5321 talks about.  If more drastic changes are needed, the story
> we have told is that the mailing list mechanism is acting as the
> agent for the mailing list manager and really more like a
> specialized MUA.  I don't need to remind you about this, but
> that it the main reason 5322 specifies "Resent-" header fields
> and 5321 at least implicitly forbids true, MTA-level exploder
> from messaging with them.   So, as I say, not clear.  And, fwiw,
> an argument that anything rewriting a "From:" field should be
> identifying itself in Resent- header fields.

I, and probably many others, agree with that, as it describes the current
state of affairs smoothly.

Shouldn't we translate it into a WG RFC?  A "Domain-based Message
Authentication, Reporting, and Conformance (DMARC) and Mailing Lists" thing,
similar to rfc6377, possibly shorter.

Best
Ale
--

---

From: Dave Crocker <[email-masked]>
Date: Sat, 30 Nov 2019 07:37:04 -0800

On 11/30/2019 4:40 AM, Alessandro Vesely wrote:
>>> redistribution system really is.

This view is reasonable only if one re-defines accepted terminology and ignores some basic technical facts.

A user specifies a recipient address. The message is posted and then 
delivered to that address.

That simple process describes basic email handling, and has been the 
accepted view for roughly 40 years.

And it describes the /first/ leg of a message sent /through/ a mailing list.

For the second leg, a bot at that address /re-/posts the message.  In 
simple, formal email technical terms, this is an entirely new email 
transaction.

It isn't 'gatewaying' per se, since that term applies to transit between 
heterogeneous systems, but it /is/ a higher-level process.

If only we had a document that discussed all this coherently, defined 
basic terminology, and had undergone IETF review and approval.  If only 
we had RFC 5598...

d/

-- 
Dave Crocker
Brandenburg InternetWorking
bbiw.net